org.apache.poi.hemf.record.emfplus

## Enum HemfPlusPen.EmfPlusLineStyle

- java.lang.Object
- - java.lang.Enum<HemfPlusPen.EmfPlusLineStyle>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusPen.EmfPlusLineStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusPen.EmfPlusLineStyle>
  Enclosing class:
    HemfPlusPen

      public static enum HemfPlusPen.EmfPlusLineStyle
      extends java.lang.Enum<HemfPlusPen.EmfPlusLineStyle>

  The LineStyle enumeration defines styles of lines that are drawn with graphics pens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM` Specifies a user-defined, custom dashed line.
    `DASH` Specifies a dashed line.
    `DASH_DOT` Specifies an alternating dash-dot line.
    `DASH_DOT_DOT` Specifies an alternating dash-dot-dot line.
    `DOT` Specifies a dotted line.
    `SOLID` Specifies a solid line.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusPen.EmfPlusLineStyle` | `valueOf(int id)`
    `static HemfPlusPen.EmfPlusLineStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusPen.EmfPlusLineStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID

          public static final HemfPlusPen.EmfPlusLineStyle SOLID

      Specifies a solid line.

    - #### DASH

          public static final HemfPlusPen.EmfPlusLineStyle DASH

      Specifies a dashed line.

    - #### DOT

          public static final HemfPlusPen.EmfPlusLineStyle DOT

      Specifies a dotted line.

    - #### DASH_DOT

          public static final HemfPlusPen.EmfPlusLineStyle DASH_DOT

      Specifies an alternating dash-dot line.

    - #### DASH_DOT_DOT

          public static final HemfPlusPen.EmfPlusLineStyle DASH_DOT_DOT

      Specifies an alternating dash-dot-dot line.

    - #### CUSTOM

          public static final HemfPlusPen.EmfPlusLineStyle CUSTOM

      Specifies a user-defined, custom dashed line.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusPen.EmfPlusLineStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusPen.EmfPlusLineStyle c : HemfPlusPen.EmfPlusLineStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusPen.EmfPlusLineStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusPen.EmfPlusLineStyle valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.